Stocks (Inventory)
Endpoints to create, update, and read stocks.
This part of the API is deprecated. For details, see the API release lifecycle documentation. Search articles tenant-wide based on title or tenantArticleId
25Example: 25This part of the API is in Beta status. For details, see the API release lifecycle documentation.
ISO 3166 conform country code and ISO 639-1 conform language code (de_DE, en_US, ch_FR, etc.)
de_DEPossible values: Articles search result according to the request. The result is in the body.
InventoryArticlePaginatedResult
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/articles HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"articles": [
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"imageUrl": "text",
"tenantArticleId": "text",
"title": "text"
}
],
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Get the forecast for a specific tenantArticleId
Forecast for the specified tenantArticleId. The result is in the body.
ArticleStockForecast
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/articles/{tenantArticleId}/forecasts HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"created": "2026-01-01T00:00:00.000Z",
"cumulated": 1,
"cumulatedLowerBounds": [
1
],
"cumulatedUpperBounds": [
1
],
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"loadTime": "2026-01-01T00:00:00.000Z",
"lowerBounds": [
1
],
"period": "DAILY",
"point": 1,
"sourceDate": "2026-01-01T00:00:00.000Z",
"targetDate": "2026-01-01T00:00:00.000Z",
"tenantArticleId": "text",
"upperBounds": [
1
]
}
]Stock per Facility for a specific tenantArticleId, also includes the Tenant-Wide Summary
MY_ARTICLE_ID["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]The channels to included under "channelAdjusted" in each summary and facility stock. Provide up to 50 channelRefs, specify "UNALLOCATED for unallocated stock."
["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]Additionaly calculate the current thresholds for each facilityStock entry
Stock distribution was loaded & you were allowed to access it. The result is in the body.
StockDistribution
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/articles/{tenantArticleId}/stockdistribution HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"facilityStocks": [
{
"availableForPicking": 1,
"availableOnStock": 1,
"byTrait": {
"ACCESSIBLE": 1,
"PICKABLE": 1
},
"channelAdjusted": [
{
"availableForPicking": 1,
"availableOnStock": 1,
"channelRef": "text"
}
],
"facilityId": "text",
"facilityName": "text",
"facilityServiceTypes": [
"SHIP_FROM_STORE"
],
"facilityStatus": "ONLINE",
"reserved": 1,
"safetyStock": 1,
"stockOnHand": 1,
"thresholds": [
{
"config": {
"id": "text",
"tenantThresholdId": "text",
"version": 1
},
"thresholdLevel": {
"actual": 1,
"key": "text",
"limit": 1
},
"thresholdOnValue": "AVAILABLE_FOR_PICKING"
}
],
"totalAmount": 1
}
],
"summary": {
"availableForPicking": 1,
"availableOnStock": 1,
"byTrait": {
"ACCESSIBLE": 1,
"PICKABLE": 1
},
"channelAdjusted": [
{
"availableForPicking": 1,
"availableOnStock": 1,
"channelRef": "text"
}
],
"reserved": 1,
"safetyStock": 1,
"stockOnHand": 1,
"totalAmount": 1
},
"tenantArticleId": "text"
}25Example: 25Available Safety Stocks
SafetyStocksPaginatedResult
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/safetystocks HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"safetyStocks": [
{
"created": "2026-01-01T00:00:00.000Z",
"facilityRef": "text",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"tenantArticleId": "text",
"value": 1,
"version": 1
}
],
"total": 1
}SafetyStockBulkOperations
Result of the bulk operations
SafetyStockBulkOperationResult
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/safetystocks HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"operations": [
{
"facilityRef": "text",
"tenantArticleId": "text",
"value": 1
}
]
}{
"error": {
"message": "text",
"type": "NOT_FOUND"
},
"facilityRef": "text",
"status": "UPDATED",
"tenantArticleId": "text",
"value": 1
}Result of the bulk operations
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
DELETE /api/safetystocks/{safetyStockId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
MY_ARTICLE_ID0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f25Example: 25Stocks
StockPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/stocks HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"stocks": [
{
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}
],
"total": 1
}StockForCreation
defines until when a stock is included in the stock availability as available and used for routing
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
Selector for the facility. Either a facility reference or a tenant facility ID must be provided.
facility in which the stock is located - fill with either facilityRef or tenantFacilityId - Deprecated: use facility object instead
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2flocation on which the stock is placed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fdate-time when stock has entered the system, defaults to the creation date
2026-06-17T12:00:00.000ZtenantArticleId of the stock
MY_ARTICLE_IDtenantFacilityId in which the stock is located - fill with either facilityRef or tenantFacilityId - Deprecated: use facility object instead
MY_FACILITY_IDtenantStockId is an optional identifier for the stock in the tenant system.
MY_STOCK_ID42Stock was created.
Stock
defines until when a stock is included in the stock availability as available and used for routing
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
facility in which the stock is located
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2flocation on which the stock is placed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fdate-time when stock has entered the system, defaults to the creation date
2026-06-17T12:00:00.000Zamount of this stock reserved for customer orders
scannableCodes such as barcodes that identify this stock
properties object serialized as JSON string, sorted alphabetically by key
tenantArticleId of the stock
MY_ARTICLE_IDtenantStockId is an optional identifier for the stock in the tenant system.
MY_STOCK_ID42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/stocks HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 441
{
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text",
"ANY_ADDITIONAL_PROPERTY": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"value": 42
}{
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}Update and create many stocks at once
StocksForUpsert
Stock upsert result
StockUpsertOperationResult
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/stocks HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 454
{
"stocks": [
{
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text",
"ANY_ADDITIONAL_PROPERTY": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"value": 42
}
]
}[
{
"status": "UPDATED",
"stock": {
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}
}
]Stock
Stock
defines until when a stock is included in the stock availability as available and used for routing
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
facility in which the stock is located
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2flocation on which the stock is placed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fdate-time when stock has entered the system, defaults to the creation date
2026-06-17T12:00:00.000Zamount of this stock reserved for customer orders
scannableCodes such as barcodes that identify this stock
properties object serialized as JSON string, sorted alphabetically by key
tenantArticleId of the stock
MY_ARTICLE_IDtenantStockId is an optional identifier for the stock in the tenant system.
MY_STOCK_ID42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/stocks/{stockId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}Stock
Stock
defines until when a stock is included in the stock availability as available and used for routing
Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
facility in which the stock is located
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2flocation on which the stock is placed
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fdate-time when stock has entered the system, defaults to the creation date
2026-06-17T12:00:00.000Zamount of this stock reserved for customer orders
scannableCodes such as barcodes that identify this stock
properties object serialized as JSON string, sorted alphabetically by key
tenantArticleId of the stock
MY_ARTICLE_IDtenantStockId is an optional identifier for the stock in the tenant system.
MY_STOCK_ID42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/stocks/{stockId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 204
{
"conditions": [
"DEFECTIVE"
],
"customAttributes": {},
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"value": 42,
"version": 1
}{
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}Stock was deleted.
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
DELETE /api/stocks/{stockId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
StockAction
Action to be performed on the stock. If a user has specific facility context limitations, only stocks located in the referenced facilities will be affected
Stock action result
StockActionResult
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/stocks/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 136
{
"action": {
"locationRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"name": "DELETE_BY_LOCATIONS"
}
}{
"name": "DELETE_BY_LOCATIONS",
"result": {
"ids": [
"text"
]
}
}Search for Stock
StockSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
StockPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/stocks/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 5493
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"availableUntil": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"conditions": {
"contains": {
"eq": "DEFECTIVE",
"in": [
"DEFECTIVE"
],
"notEq": "DEFECTIVE"
}
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
}
],
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"tenantArticleId": "MY_ARTICLE_ID",
"tenantFacilityId": "MY_FACILITY_ID",
"tenantStockId": "MY_STOCK_ID",
"traits": {
"contains": {
"eq": "PICKABLE",
"in": [
"PICKABLE"
],
"notEq": "PICKABLE"
}
},
"value": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"size": 10,
"sort": [
{
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"lastModified": "ASC",
"locationName": "ASC",
"tenantArticleId": "ASC",
"value": "ASC"
}
]
}{
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"stocks": [
{
"available": 1,
"availableUntil": "2026-01-01T00:00:00.000Z",
"conditions": [
"DEFECTIVE"
],
"created": "2026-01-01T00:00:00.000Z",
"customAttributes": {},
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"tenantFacilityId": "MY_FACILITY_ID"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "text",
"lastModified": "2026-01-01T00:00:00.000Z",
"locationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"properties": {
"expiry": "text"
},
"receiptDate": "2026-06-17T12:00:00.000Z",
"scannableCodes": [
"text"
],
"scores": [
{
"scoreName": "ZONE",
"scoreType": "RATING",
"scoreValue": 1
}
],
"serializedProperties": "text",
"tenantArticleId": "MY_ARTICLE_ID",
"tenantStockId": "MY_STOCK_ID",
"traitConfig": [
{
"enabled": true,
"trait": "text"
}
],
"traits": [
"PICKABLE"
],
"value": 42,
"version": 1
}
],
"total": 1
}Get the accumulated Stock for each Article
25Example: 25The stockSummaries.article.tenantArticleId value should be used for pagination.
["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]Returns stock summaries using adaptive batching to reduce latency spikes, as a consequence response time will have a more consistent upper bound but page size may be reduced below the maximum - This overrides size argument.
The channels to included under "channelAdjusted" in the stock summary. Provide up to 50 channelRefs, specify "UNALLOCATED for unallocated stock."
["0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f","0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"]Stock summaries was loaded & you were allowed to access it. The result is in the body.
StockSummaries
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/stocks/summaries HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"stockSummaries": [
{
"article": {
"imageUrl": "text",
"tenantArticleId": "text",
"title": "text"
},
"details": {
"availableForPicking": 1,
"availableOnStock": 1,
"byTrait": {
"ACCESSIBLE": 1,
"PICKABLE": 1
},
"channelAdjusted": [
{
"availableForPicking": 1,
"availableOnStock": 1,
"channelRef": "text"
}
],
"reserved": 1,
"safetyStock": 1,
"stockOnHand": 1,
"totalAmount": 1
},
"includedFacilityRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
]
}
],
"total": 1
}Last updated
Was this helpful?

